<div id="carouselExampleDark" class="carousel carousel-dark slide" data-pause="hover" data-bs-ride="carousel">
  <div class="carousel-indicators">
    <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="0" class="active" aria-current="true"
      aria-label="Slide 1"></button>
    <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="1" aria-label="Slide 2"></button>
    <!-- <button type="button" data-bs-target="#carouselExampleDark" data-bs-slide-to="2" aria-label="Slide 3"></button> -->
  </div>
  <div class="carousel-inner">
    <div class="carousel-item active" data-bs-interval="10000">
      <img src="../../../../assets/caroussel/udemy_caroussel_1.png" class="d-block w-100" alt="...">
      <div class="carousel-caption d-none d-md-block">
        <h5 class="h5-special">Nouvelle année,<br> nouvelles évolutions de carrière</h5>
        <p>
          Découvrez ce que les employeurs recherchent en 2023 et comment se mettre
          à niveau avec notre guide des compétences.
        </p>
      </div>

    </div>
    <div class="carousel-item" data-bs-interval="2000">
      <img src="../../../../assets/caroussel/udemy_caroussel_2.png" class="d-block w-100" alt="...">
      <div class="carousel-caption d-none d-md-block">
        <h5 class="h5-special">Économisez et <br> atteignez vos objectifs d'apprentissage du Nouvel An</h5>
        <p>
          Achetez un cours à partir de 9,99 €
          avant le 5 janvier pour obtenir notre Guide des compétences tendance 2023.</p>
      </div>
    </div>
    <!--  <div class="carousel-item">
        <img src="../../../../assets/caroussel/udemy_caroussel_2.png" class="d-block w-100" alt="...">
        <div class="carousel-caption d-none d-md-block">
          <h5>Third slide label</h5>
          <p>Some representative placeholder content for the third slide.</p>
        </div>
      </div> -->
  </div>
  <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleDark" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </button>
  <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleDark" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </button>
</div>





<div class="" style="transform: scale(0.89);">

  <h2 class="h2-carouse custom-user-space-title">Commençons notre apprentissage {{(user$ | async ) && (user$ | async).firstname != "" ? (user$
    | async).firstname: '' }} :</h2>

    <course-carousel  [courses]="courses$ | async"></course-carousel>
  
</div>






<div class="custom-infos" style="transform: scale(0.89);">

  <h2>Quel sera votre prochain sujet d'apprentissage {{((user$ | async) &&( user$ | async).firstname != "") ? (user$ |
    async).firstname: '' }} ?</h2>


</div>

<div *ngIf="user$ | async" class="row row-cols-1 row-cols-md-4 g-4 " style="transform: scale(0.89);">
  <ng-container *ngIf="nonPurchasedArticles$ | async as nonPurchasedArticles; else loading">
    <div class="col" *ngFor="let nonPurchased of nonPurchasedArticles">
      <article [article]="nonPurchased"></article>
    </div>

  </ng-container>
  <ng-template #loading>Loading...</ng-template>
</div>


<div *ngIf="!(user$ | async)" class="row row-cols-1 row-cols-md-4 g-4 " style="transform: scale(0.89);">
  <div class="col" *ngFor="let article of articles$ | async">
    <article [article]="article"></article>
  </div>
</div>